  <!-- Fonts -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700">
  <!-- Icons -->
  <link rel="stylesheet" href="<?= AMS_PLUGIN_URL ?>assets/vendor/nucleo/css/nucleo.css" type="text/css">
  <link rel="stylesheet" href="<?= AMS_PLUGIN_URL ?>assets/vendor/@fortawesome/fontawesome-free/css/all.min.css" type="text/css">

  <!-- Page plugins -->
  <link rel="stylesheet" href="<?= AMS_PLUGIN_URL ?>assets/css/argon.css?v=1.2.0" type="text/css">
    <script src="<?= AMS_PLUGIN_URL ?>assets/vendor/jquery/dist/jquery.min.js"></script>
  <script src="<?= AMS_PLUGIN_URL ?>assets/vendor/jquery/dist/jquery-ui.min.js"></script>
  
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

  <script src="<?= AMS_PLUGIN_URL ?>assets/vendor/js-cookie/js.cookie.js"></script>
  <script src="<?= AMS_PLUGIN_URL ?>assets/vendor/jquery.scrollbar/jquery.scrollbar.min.js"></script>
  <script src="<?= AMS_PLUGIN_URL ?>assets/vendor/jquery-scroll-lock/dist/jquery-scrollLock.min.js"></script>
  
  <!-- Optional JS -->
  <script src="<?= AMS_PLUGIN_URL ?>assets/vendor/chart.js/dist/Chart.min.js"></script>
  <script src="<?= AMS_PLUGIN_URL ?>assets/vendor/chart.js/dist/Chart.extension.js"></script>

  <script src="<?= AMS_PLUGIN_URL ?>assets/js/argon.js?v=1.2.0"></script>
  <script src="<?= AMS_PLUGIN_URL ?>assets/js/components/custom/form-control.js"></script>
  


  <!-- Sidenav -->
  <nav class="sidenav navbar navbar-vertical  fixed-left  navbar-expand-xs navbar-light bg-white" id="sidenav-main">
    <div class="scrollbar-inner">
      <!-- Brand -->
      <div class="sidenav-header  align-items-center">
        <a class="navbar-brand" href="javascript:void(0)">
          <img src="<?= AMS_PLUGIN_URL ?>assets/img/brand/ams.png" class="navbar-brand-img" alt="...">
        </a>
      </div>
      <div class="navbar-inner">
        <!-- Collapse -->
        <div class="collapse navbar-collapse" id="sidenav-collapse-main">
          <!-- Nav items -->
          <ul class="navbar-nav" style="margin-top: 10px;">
            <li class="nav-item">
              <a class="nav-link <?= $_GET['page'] == 'wc-amazon-affiliate' ? "active" : '' ; ?>" href="?page=wc-amazon-affiliate">
                <i class="ni ni-tv-2 text-dark"></i>
                <span class="nav-link-text font-weight-bold">DASHBOARD</span>
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link <?= $_GET['page'] == 'wc-product-search' ? "active" : '' ; ?>" href="?page=wc-product-search">
                <i class="ni ni-tag text-info"></i>
                <span class="nav-link-text font-weight-bold">AMAZON API - BY SEARCH</span>
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link <?= $_GET['page'] == 'products-search-without-api' ? "active" : '' ; ?>" href="?page=products-search-without-api">
                <i class="ni ni-spaceship text-info"></i>
                <span class="nav-link-text font-weight-bold">NO API - BY SEARCH</span>
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link <?= $_GET['page'] == 'product-import-by-url' ? "active" : '' ; ?>" href="?page=product-import-by-url">
                <i class="ni ni-zoom-split-in text-info"></i>
                <span class="nav-link-text font-weight-bold">NO API - BY URLS</span>
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link <?= ($_GET['page'] == 'wc-product-setting-page' && $_GET['tab'] == "pills-general-tab") ? "active" : '' ; ?>" href="?page=wc-product-setting-page&tab=pills-general-tab">
                <i class="ni ni-settings-gear-65 text-dark"></i>
                <span class="nav-link-text">CONFIGURATION</span>
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link <?= ($_GET['page'] == 'wc-product-setting-page' && $_GET['tab'] == "pills-az-settings-tab") ? "active" : '' ; ?>" href="?page=wc-product-setting-page&tab=pills-az-settings-tab">
                <i class="ni ni-settings-gear-65 text-dark"></i>
                <span class="nav-link-text">AMAZON API SETTING</span>
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link <?= ($_GET['page'] == 'wc-product-setting-page' && $_GET['tab'] == "pills-az-products-tab") ? "active" : '' ; ?>" href="?page=wc-product-setting-page&tab=pills-az-products-tab">
                <i class="ni ni-settings-gear-65 text-dark"></i>
                <span class="nav-link-text">AUTO PRODUCTS UPDATE</span>
              </a>
            </li>
           
          </ul>
        </div>
      </div>
    </div>


    <?php 
    $amazon_country_name = get_option( 'ams_amazon_country' );
    if (!empty($amazon_country_name)) {
    $regions = ams_get_amazon_regions(); 
    ?>
      <div class="country_name_side">
          <span><?= $regions[$amazon_country_name]['RegionName'];?></span>
      </div>

  <?php } ?>


  </nav>

  <?php
  if($_GET['page'] != 'wc-amazon-affiliate' && $_GET['page'] != 'wc-product-setting-page') {
    $regions = ams_get_amazon_regions();
    $regionsL = ams_get_amazon_regions_limited();
    $regions_placeholder = $this->get_option('ams_amazon_country');
    foreach ($regions as $key=>$value) {
        if($regions_placeholder == $key) {
            $regions_placeholder = $value['RegionName'];                             
            break;
        }
    }

    $category_placeholder = $this->get_option('ams_default_category');
    $category_placeholder = $category_placeholder == "_auto_import_amazon" ? "Auto Import From Amazon" : $category_placeholder;

    $store_currency = get_woocommerce_currency();
    $currency_code_options = get_woocommerce_currencies();
    $currency_placeholder = $store_currency;
    foreach ($currency_code_options as $code=>$value) {
        if($store_currency == $code) {
            $currency_placeholder = $value;                             
            break;
        }
    }  
  }               
  ?>